This is a list of organizations that have publicly acknowledged usage of LitmusChaos and shared details of how they are leveraging it for chaos engineering.
Please send a PR to this file (along with details in a respective [org](./adopters/organizations) folder) to add/remove entries. If you are an independent user
and wish to to share your adoption story, please raise a PR against the [users](USERS.md) file.

These organizations have been broadly classified on the basis of how they contribute to the ecosystem: as vendors, as solution providers or as pure end-users of
cloud-native technologies. Also included in this list are CNCF (or other) open-source projects that have integrated with Litmus or use it as part of their release/delivery process.

### Cloud-Native End Users

The companies listed here conform to [CNCF's definition of end-users](https://github.com/cncf/enduser-public#cncf-end-user-community).

| Organization                                                                     | Usecase                                                                                                  | Details                                                                                |
| :------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------- |
| [AnutaNetworks](https://www.anutanetworks.com/)                                  | Chaos Engineering as part of SRE practices in QA environments                                            | [Our Story](adopters/organizations/anutanetworks.md)                                   |
| [AkriData](https://www.akridata.com/)                                            | Pod Chaos Experiments in AWS & Azure                                                                     | [Our Story](adopters/organizations/akridata.md)                                        |
| [Halodoc](https://www.halodoc.com/)                                              | Resiliency Validation of Kubernetes Workloads and Infra on AWS                                           | [Our Story](adopters/organizations/halodoc.md)                                         |
| [Intuit](https://www.intuit.com?utm_source=github&utm_campaign=litmuschaos_repo) | [Argo Based Chaos Workflows](https://youtu.be/Uwqop-s99LA?t=720)                                         | [Our Story](adopters/organizations/intuit.md)                                          |
| [Kitopi](https://www.kitopi.com/)                                                | Chaos Engineering as part of SRE practice                                                                | [Our Story](adopters/organizations/kitopi.md)                                          |
| [Lenskart](https://www.lenskart.com/)                                            | Chaos Engineering for better Resiliency                                                                  | [Our Story](adopters/organizations/lenskart.md)                                        |
| [Mercedes](https://www.mercedes-benz.com/)                                       | Resiliency validation for applications                                                                   | [Our Story](adopters/organizations/mercedes.md)                                        |
| [Orange](https://www.orange.com)                                                 | [Cloud Infra Resiliency](https://youtu.be/UOhjFbCrncw?list=PLBuYBMjBLBzHPuPsvdbJvKu1KxSowWDYl&t=186...a) | [Our Story](adopters/organizations/orange.md)                                          |
| [Pôle Emploi](https://www.pole-emploi.fr)                                        | Chaos Engineering as part of SRE practice                                                                | [Our Story](adopters/organizations/pole_emploi.md)                                     |
| [iFood](https://www.ifood.com.br/)                                               | Chaos Engineering for a Food Delivery Platform                                                           | [Our Story](adopters/organizations/ifood.md)                                           |
| [FIS](https://www.fisglobal.com/en/)                                             | Larger SRE Transformation with Chaos Engineering                                                         | [Our Story](adopters/organizations/fis.md)                                             |
| [Adidas](https://adidas.com/)                                                    | Implementing Chaos Engineering as a practice at Adidas                                                   | [Our Story](adopters/organizations/adidas.md)                                          |
| [Cyren](https://www.cyren.com/)                                                  | Implementing Chaos Engineering as a practice at Cyren                                                    | [Our Story](https://www.infoq.com/articles/chaos-engineering-cloud-native/)            |
| [AB-Inbev](https://www.ab-inbev.com/)                                            | Implementing Chaos Engineering as a practice at AB-Inbev                                                 | [Our Story](adopters/organizations/abinbev.md)                                         |
| [Group Baobab](https://baobab.com/en/home/)                                      | Orchestrating Chaos using LitmusChaos at Baobab                                                          | [Our Story](https://github.com/litmuschaos/litmus/issues/2191#issuecomment-1647648343) |
| [Flipkart](https://www.flipkart.com/)                                            | Chaos Engineering at Flipkart                                                                            | [Our Story](https://github.com/litmuschaos/litmus/issues/2191#issuecomment-1966904935) |
| [Talend](https://www.talend.com/)                                                | Chaos Engineering for our pipelines and weekly checks                                                    | [Our Story](https://github.com/litmuschaos/litmus/issues/2191#issuecomment-2005254600) |
| [Delivery Hero](https://www.deliveryhero.com/)                                   | Enhancing Resiliency of Our Services                                                                     | [Our Story](https://github.com/litmuschaos/litmus/issues/2191#issuecomment-1997465958) |
| [Wingie Enuygun Company](https://www.wingie.com/)                                | Chaos Engineering for an Online Travel and Finance Platform                                              | [Our Story](https://github.com/litmuschaos/litmus/issues/2191#issuecomment-2331265698) |
| [EmiratesNBD](https://www.emiratesnbd.com)                                       | Chaos Engineering for Government Owned Bank                                                              | [Our Story](adopters/organizations/emirates-nbd.md)                                    |
| [PokerBaazi](https://www.pokerbaazi.com/)                                        | Chaos Engineering for Online Gaming                                                                      | [Our Story](adopters/organizations/pokerbaazi.md)                                      |

### Cloud-Native Vendors

The companies listed here sell cloud-native products/technologies. They use LitmusChaos as part of the resiliency validation of these products OR as part of other
devops/reliability pipelines (such as for customer portals/websites etc.,) within the company.

| Organization                                                                       | Usecase                                                                                                                                 | Details                                                                                |
| :--------------------------------------------------------------------------------- | :-------------------------------------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------- |
| [KubeSphere](https://kubesphere.io/)                                               | Chaos Engineering                                                                                                                       | To Be Added                                                                            |
| [Kublr](https://kublr.com/)                                                        | Identify the weak spots and components prone to failures under stress                                                                   | [Our Story](adopters/organizations/kublr.md)                                           |
| [MayaData](https://mayadata.io)                                                    | [Director Online](https://director.mayadata.io/)                                                                                        | [Our Story](adopters/organizations/mayadata.md)                                        |
| [NetApp](https://www.netapp.com)                                                   | [Chaos Engineering](https://www.netapp.com/us/index.aspx)                                                                               | [Our Story](adopters/organizations/netapp.md)                                          |
| [Okteto](https://okteto.com)                                                       | [Okteto-Litmus Integration](https://okteto.com/blog/chaos-engineering-with-litmus/)                                                     | [Our Story](adopters/organizations/okteto.md)                                          |
| [RedHat](https://www.redhat.com/en)                                                | [RedHat Openshift Virtualization Maturity](https://www.youtube.com/watch?v=VITGHJ47gx8&list=PLBuYBMjBLBzHPuPsvdbJvKu1KxSowWDYl&index=7) | [Our Story](adopters/organizations/redhat.md)                                          |
| [VMWare](https://www.vmware.com/)                                                  | Chaos Engineering in CD                                                                                                                 | [Our Story](adopters/organizations/vmware.md)                                          |
| [Zebrium](https://www.zebrium.com?utm_source=github&utm_campaign=litmuschaos_repo) | [Zebrium K8s Chaos Project](https://github.com/zebrium/zebrium-kubernetes-demo)                                                         | [Our Story](adopters/organizations/zebrium.md)                                         |
| [Container Solutions](https://www.container-solutions.com/)                        | Building Chaos Engineering for E-Commerce Customers                                                                                     | [Our Story](adopters/organizations/containersolutions.md)                              |
| [Infracloud Technologies](https://www.infracloud.io/)                              | Developing Resiliency Framework at Infracloud                                                                                           | [Our Story](adopters/organizations/infracloud.md)                                      |
| [IFS](https://www.ifs.com/)                                                        | Checking Resiliency with LitmusChaos at IFS                                                                                             | [Our Story](https://github.com/litmuschaos/litmus/issues/2191#issuecomment-1966428068) |
| [Ericsson](https://www.ericsson.com/en)                                            | Chaos Engineering with Open Source LitmusChaos                                                                                          | [Our Story](https://github.com/litmuschaos/litmus/issues/2191#issuecomment-1985348431) |
| [OutSystems](https://www.outsystems.com/)                                          | Chaos Engineering for Low-Code Platform                                                                                                 | [Our Story](adopters/organizations/outsystems.md)                                      |

### Cloud-Native Solutions & Service Providers

The companies listed here provide solutions around cloud-native technologies to other organizations/clients and are often involved in their implementation/offer services.
They use LitmusChaos as the tool of choice for carrying out chaos experiments in a client environment or in some cases use it as a building block of a larger bespoke software/devops platform.

| Organization                                                                                                            | Usecase                                                                                                                             | Details                                         |
| :---------------------------------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------- | :---------------------------------------------- |
| [Klanik](https://www.klanik.com)                                                                                        | Chaos Engineering as part of SRE practice                                                                                           | [Our Story](adopters/organizations/klanik.md)   |
| [Neudesic](https://www.neudesic.com/)                                                                                   | Chaos Engineering                                                                                                                   | [Our Story](adopters/organizations/neudesic.md) |
| [WeScale](https://www.wescale.fr)                                                                                       | [Chaos Engineering](https://blog.wescale.fr/2020/03/19/le-guide-de-chaos-engineering-partie-2/)                                     | [Our Story](adopters/organizations/wescale.md)  |
| [Wipro](https://www.wipro.com/en-IN/infrastructure/wipros-appanywhere/?utm_source=github&utm_campaign=litmuschaos_repo) | [Wipro AppAnywhere](https://www.wipro.com/en-IN/infrastructure/wipros-appanywhere/?utm_source=github&utm_campaign=litmuschaos_repo) | [Our Story](adopters/organizations/wipro.md)    |
| [HCL Cloud Native Labs](https://www.hcltech.com/)                                                                       | SRE Enablement Service                                                                                                              | [Our Story(TBA)]                                |
| [CI&T](https://ciandt.com/us/en-us)                                                                                     | Chaos Engineering Implementation                                                                                                    | [Our Story](adopters/organizations/ci&t.md)     |

### Cloud-Native OSS Projects

The projects listed here, in most cases use LitmusChaos for testing the resilience of the respective opensource framework/platform
(in a manual or automated fashion) or in other cases integrate with it via a plugin/service to provide add resilience validation capability to their
existing functions.

| Organization                                            | Usecase                                                                                                    | Details                                                                                                                                  |
| :------------------------------------------------------ | :--------------------------------------------------------------------------------------------------------- | :--------------------------------------------------------------------------------------------------------------------------------------- |
| [Keptn](https://keptn.sh)                               | [Chaos Engineering integration in CD](https://www.youtube.com/watch?v=aa5SzQmv4EQ)                         | [Our Story](https://medium.com/keptn/part-2-evaluating-application-resiliency-with-keptn-and-litmuschaos-use-case-and-demo-f43b264a2294) |
| [KubeFlare](https://github.com/raspbernetes)            | Resilience of microservices on ARM64 (Raspberry Pi) based clusters                                         | [Our Story](adopters/organizations/raspbernetes.md)                                                                                      |
| [OpenEBS](https://openebs.io/)                          | [Openebs-CI](https://openebs.ci/)                                                                          | [Our Story](adopters/organizations/openebs.md)                                                                                           |
| [Pravega](https://pravega.io/)                          | To inject faults while exercising quality tests on our product                                             | [Our Story](adopters/organizations/pravega.md)                                                                                           |
| [Red Hat](https://www.redhat.com/en)                    | [Chaos Engineering with Kraken](https://github.com/cloud-bulldozer/kraken)                                 | [Our Story](adopters/organizations/redhat_kraken.md)                                                                                     |
| [Iter8](https://iter8.tools)                            | [SLO validation with chaos injection](https://iter8.tools/0.7/tutorials/deployments/slo-validation-chaos/) | To Be Added                                                                                                                              |
| [CNF Test Suite](https://github.com/cncf/cnf-testsuite) | To validate the resilience of Cloud Native Network Functions (CNFs)                                        | [Our Story](adopters/organizations/cnftestsuite.md)                                                                                      |
| [APACHE APISIX](https://apisix.apache.org/)             | Practicing Chaos Engineering using Litmus in the Apache APISIX Ingress.                                    | [Our Story](adopters/organizations/apisix.md)                                                                                            |
