# LitmusChaos Community

Welcome to the LitmusChaos community. This is the starting point for becoming a contributor, improving the code and docs, giving presentations and all the goodness of helping out on the project. We are a friendly, collaborative group and look forward to working together.

- [Introduction](#introduction)
- [LitmusChaos authors](#litmuschaos-authors)
- [Questions and issues](#questions-and-issues)
- [Communication and Slack](#communication-and-slack)
- [Community meetings](#community-meetings)
- [LitmusChaos Blog](#litmuschaos-blog)
- [How can I get involved?](#how-can-i-get-involved)

## Introduction
LitmusChaos is an open source Chaos Engineering platform that enables teams to identify weaknesses & potential outages in infrastructures by 
inducing chaos tests in a controlled way. Developers & SREs can practice Chaos Engineering with LitmusChaos as it is easy to use, based on modern 
Chaos Engineering principles & community collaborated. It is 100% open source & a CNCF project.

LitmusChaos takes a cloud-native approach to create, manage and monitor chaos. The platform itself runs as a set of microservices and uses Kubernetes 
custom resources (CRs) to define the chaos intent, as well as the steady state hypothesis. 

Visit [litmuschaos.io](https://litmuschaos.io) for information about LitmusChaos.

## LitmusChaos authors
LitmusChaos is an open source project with an active development community.

## Communication and Slack
We would greatly appreciate your contributions and suggestions! One of the easiest ways to contribute is to participate in Slack discussions, or join the monthly communtiy calls and bi-monthly contributor calls.

### Questions and issues
Reach out with any questions you may have and we'll make sure to answer them as soon as possible and as a community member feel free to jump in and answer questions.

| Platform  | Link        |
|:----------|:------------|
| 💬 Slack (preferred) | Join the [#litmus](https://kubernetes.slack.com/archives/CNXNB0ZTN) channel on the [Kubernetes slack](https://slack.k8s.io)|
| 🐤 Twitter | [@litmuschaos](https://twitter.com/litmuschaos) |

### Community meetings

These will be hosted every 3rd Wednesday of every month at  4:30 PM GMT /5:30 PM CEST /10 PM IST
The community meetings will involve discussing community updates, sharing updates on new features/releases and discussing user/adopter stories. Everyone in the community is invited for the same to participate in the LitmusChaos community meetings.

Upcoming Meeting Dates: 20th March


### Contributor Meetings

These will be hosted every second & last Thursday of every month at  1:30 PM GMT /2:30 PM CEST /7 PM IST
The contributor meetings are only meant to discuss technical and non-technical contributions to LitmusChaos. Maintainers, present Contributors and aspiring contributors are invited to participate in the LitmusChaos contributor meetings to discuss issues, fixes, enhancements and future contributions


Upcoming Meeting Dates: 14th March 2024, 28th March 2024

The rough agenda for contributor meetings are:

* Highlight the contributions and contributors.
* Let contributors share their contributions updates and ask doubts.
* Review previous contributions
* Discussion on future action items
* Announcements
* Open floor discussion / Q&A



<!--To receive your google calendar invite for the next LitmusChaos community or contributor call, start by filling out this short form, [LitmusChaos community/contributor call sign-up form](https://forms.gle/tVSn7rTqfDh337jt6).  
-->

You can always catch up offline by watching the recordings on the [LitmusChaos YouTube channel](https://www.youtube.com/channel/UCa57PMqmz_j0wnteRa9nCaw).

<!--
!!!REMINDER!!!
Do not add passcode to the Zoom URL. 
-->
| Asset | Link        |
|:-----------|:------------|
| 🔗 Meeting Link & Password | **Zoom Call: https://harness-io.zoom.us/j/95100368978?pwd=b2VrdCtaakE5U3dhOElFMUJOaXVOUT09 ** <br>**Passcode:** 448312 
| 🎥 Meeting Recordings | https://www.youtube.com/channel/UCa57PMqmz_j0wnteRa9nCaw



## LitmusChaos blog
The [LitmusChaos blog](https://dev.to/t/litmuschaos/latest) is an open platform on [DEV.to](https://dev.to/) consisting posts on releases, technical articles and upcoming events. If you would like to author a post, use the #litmuschaos and publish your article.

You can reach out to us with a suggestion if you want your blog to be published on the [CNCF Blog page](https://www.cncf.io/blog/). 
You can find the [LitmusChaos CNCF Blogs](https://www.cncf.io/?post_type=post&s=litmus) for reference.


## How can I get involved?

One of the easiest ways to contribute is to participate in discussions at community engagements or write a blog entry.

If you're looking for something to work on, read the [contribution guidelines](https://github.com/litmuschaos/litmus/blob/master/CONTRIBUTING.md) and then you start by looking for GitHub issues, marked with "Good First Issue" or the "Help Wanted" labels:

- [Litmusctl](https://github.com/litmuschaos/litmusctl)
- [Litmus-go](https://github.com/litmuschaos/litmus-go)
- [Documentation repo](https://github.com/litmuschaos/litmus-docs)

And, we can always use more testing, have more and improved docs, or just write a blog post on what you have discovered whilst using LitmusChaos.


## Code of Conduct
This project has adopted the [Contributor Covenant Code of Conduct](https://github.com/litmuschaos/litmus/blob/master/CODE_OF_CONDUCT.md)

