# Google Summer of Code for LitmusChaos

Google Summer of Code (GSoC) is a global, online program focused on
bringing new contributors into open source software development.
GSoC contributors work with an open source organization on a
summer programming project under the guidance of mentors.

GSoC contributors accepted into the program receive a stipend, paid by Google,
to work well-defined projects to improve or enhance the LitmusChaos project and its ecosystem.
In exchange, numerous community members volunteer as "mentors" for GSoC contributors 
to help integrate them into the open source community and succeed in completing their projects.

## GSoC Programs

2024
2023
2022
2021

## Participate

We invite GSoC contributors to submit project proposal applications in relation to the issues raised.

### Apply as a contributor

1. Check out our project ideas.
2. Join the #litmus & #litmus-dev channel on the [Kubernetes](https://litmuschaos/.io) Slack
3. Explore the project ideas and find one or two that interest you.
   Notify us in the chat.
4. Join our contributor calls to learn and present your ideas.
5. Try contributing to LitmusChaos. Some project ideas include references to newcomer friendly issues. You can also find links to the generic contributing guide [here](https://github.com/litmuschaos/litmus/blob/master/CONTRIBUTING.md).
6. Work with the potential mentors during the application phase.
   Do not hesitate to ask any questions in the chat.
   It may also be possible to organize special sessions to discuss the project ideas.
7. Make sure to submit the final application in time! See the [GSoC Timeline](https://summerofcode.withgoogle.com/how-it-works#timeline)
